curl --request POST \
--url https://api.prequel.co/destinations/{destination_id}/transfer \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"full_refresh": false,
"is_debug_mode": false,
"models": [
"<string>"
],
"start_transfer_window_at": "2023-11-07T05:31:56Z",
"end_transfer_window_at": "2023-11-07T05:31:56Z",
"tags": {}
}
'import requests
url = "https://api.prequel.co/destinations/{destination_id}/transfer"
payload = {
"full_refresh": False,
"is_debug_mode": False,
"models": ["<string>"],
"start_transfer_window_at": "2023-11-07T05:31:56Z",
"end_transfer_window_at": "2023-11-07T05:31:56Z",
"tags": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
full_refresh: false,
is_debug_mode: false,
models: ['<string>'],
start_transfer_window_at: '2023-11-07T05:31:56Z',
end_transfer_window_at: '2023-11-07T05:31:56Z',
tags: {}
})
};
fetch('https://api.prequel.co/destinations/{destination_id}/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"transfer_id": "<string>"
},
"message": "<string>"
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}Create transfer
Enqueue a transfer to specified destination.
Authorizations
Path Parameters
Destination ID.
Body
When true: runs a full refresh from the start of the recipient's configured transfer window. When false: runs incrementally from the last successful transfer.
Enables debug-level logging for the transfer run.
Specifies models to run. If unspecified or left empty all models will be run.
All rows transferred will have a last_updated_at value greater than or equal to this value. If omitted the Unix epoch will be used. Timestamps should be represented in RFC3339 format.
All rows transferred will have a last_updated_at value less than this value. If omitted the current time will be used. Timestamps should be represented in RFC3339 format.
Tags to apply to the transfer. Tags are key-value pairs where keys and values must contain only alphanumeric characters and underscores/hyphens.
Show child attributes
Show child attributes